ISST-LTE: Ubuntu 15.04 need to manually set the bootlist when we do empty bootlist install with Crocodile adapters

Bug #1453892 reported by bugproxy on 2015-05-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Tim Gardner
Vivid
High
Tim Gardner
Wily
High
Tim Gardner

Bug Description

---Problem Description---
Base on my understanding, Ubuntu 15.4 has the bootlist setup feature, and the system will set the bootlist by itself after fresh installation, so the user don't need to set the bootlist manually. However, when we do the Ubuntu installation with empty bootlist and Crocodile adapters, such as GTO 57B4, North Rim 2CD2 and Solstice 57D7, the firmware cannot find a bootable disk to boot up after fresh installation. The installation with empty bootlist and FC disk or VSCSI works fine (the lpar can automatically find the bootable disk and boot up, no need to set the bootlist).

Before installation:
Version FW830.00 (SV830_033)
 SMS (c) Copyright IBM Corp. 2000,2014 All rights reserved.
-------------------------------------------------------------------------------
 Current Boot Sequence
 1. None
 2. None
 3. None
 4. None
 5. None

After installation:

IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM

 No OS image was detected by firmware.
 At least one disk in the bootlist was not found yet.
 Firmware is now retrying the entries in the bootlist.
 Press ctrl-C to stop retrying.

---uname output---
Linux conelp2 3.19.0-16-generic #16-Ubuntu SMP Thu Apr 30 16:12:49 UTC 2015 ppc64le ppc64le ppc64le GNU/Linux

Machine Type = 8408-E8E

---Steps to Reproduce---
1.Install Ubuntu 15.04
2.Use PCIe2 4-port 1GbE Adapter
        ( loc=U78C7.001.RCH0042-P1-C8-T2 )
and use kte (10.33.11.31) as server
3.Enter mirror manually
*Server: 10.33.11.31
*Directory: Use default
*Proxy: http://10.33.11.31:3128
4.Select disk sda/sdb
5.After installation, let the lpar boot up by itself, and you will see the "No OS image was detected by firmware" message

I do not know the specifics of the installers for the different distros, however, the
expectation is that the installation does modify the boot list to add the newly installed device.

In the scenario where a valid boot list exists prior to the install, if the installer does not modify the boot list to prepend the newly installed device, it will not be discovered "automatically." It would require going to the SMS menu to find the device and add it to the boot list.

In the scenario where the boot list is empty, on reboot PFW will attempt to construct a default boot list by scanning all of the available devices. We should be able to find the installed device.

Excellent, thanks! I knew it would rescan on an empty list but I wasn't sure about the rest.

So I guess the expectation is the installer should set the boot device. If this is not happening, can we get a reproduce starting from a empty boot list, and collect the install logs? I will look at the logs to see if I can find where it is failing and will mirror to Ubuntu.

At the very end of install you should be able to "go back" to the main menu, then select "Save debug logs", you will then see a message, "A simple web server has been started on this computer to serve log files". Retrieve the files and attach to the bug:

$ wget http://<node>/hardware-summary
$ wget http://<node>/syslog

I have reinstalled the lpar and collect logs

Default Comment by Bridge

tags: added: architecture-ppc64le bugnameltc-124708 severity-high targetmilestone-inin1510

Default Comment by Bridge

Luciano Chavez (lnx1138) on 2015-05-11
affects: ubuntu → debian-installer (Ubuntu)

Default Comment by Bridge

Default Comment by Bridge

Default Comment by Bridge

Default Comment by Bridge

------- Comment From <email address hidden> 2015-06-11 21:40 EDT-------
The patch in ipr.c is tested and reviewed. We will update the bug when patch is accepted into upstream kernel.

Thanks,
Wendy

Steve Langasek (vorlon) on 2015-08-12
Changed in debian-installer (Ubuntu):
assignee: nobody → Adam Conrad (adconrad)
milestone: none → ubuntu-15.10
importance: Undecided → High
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2015-08-25 21:20 EDT-------
Patch is queued for -next:

http://git.kernel.org/cgit/linux/kernel/git/jejb/scsi.git/commit/?h=for-next&id=bb8647e86e769bd45d2d5e010b3af516210d5760

Changed in linux (Ubuntu):
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
importance: Undecided → High
status: New → Triaged
affects: debian-installer (Ubuntu) → linux
Changed in linux:
milestone: ubuntu-15.10 → none
Tim Gardner (timg-tpi) on 2015-08-27
Changed in linux (Ubuntu):
assignee: Canonical Kernel Team (canonical-kernel-team) → Tim Gardner (timg-tpi)
status: Triaged → In Progress
Changed in linux (Ubuntu Vivid):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux (Ubuntu Wily):
status: In Progress → Fix Committed
Brad Figg (brad-figg) on 2015-08-27
Changed in linux (Ubuntu Vivid):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Vivid):
importance: Undecided → High
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2015-09-02 17:22 EDT-------
*** Bug 129796 has been marked as a duplicate of this bug. ***

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.2.0-7.7

---------------
linux (4.2.0-7.7) wily; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1490564
  * rebase to v4.2

  [ Wen Xiong ]

  * SAUCE: ipr: Byte swapping for device_id attribute in sysfs
    - LP: #1453892

  [ Upstream Kernel Changes ]

  * rebase to v4.2
    - LP: #1487345

 -- Tim Gardner <email address hidden> Wed, 26 Aug 2015 07:06:10 -0600

Changed in linux (Ubuntu Wily):
status: Fix Committed → Fix Released
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-vivid' to 'verification-done-vivid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-vivid

Default Comment by Bridge

Default Comment by Bridge

------- Comment From <email address hidden> 2015-09-16 16:52 EDT-------
I have verified the fix with normal installation and empty bootlist installation in conelp2 (using Crocodile adapters), and the lpar boot up automatically and we don't need to set the bootlist manually. Closing this bug now. Thank you!

tags: added: verification-done-vivid
removed: verification-needed-vivid
Launchpad Janitor (janitor) wrote :
Download full text (13.2 KiB)

This bug was fixed in the package linux - 3.19.0-30.33

---------------
linux (3.19.0-30.33) vivid; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1498065
  * Revert "[Config]
    MFD_INTEL_LPSS/MFD_INTEL_LPSS_ACPI/MFD_INTEL_LPSS_PCI=m"
    - LP: #1498137
  * [Config] Disable the MFD_INTEL_LPSS* driver

linux (3.19.0-30.32) vivid; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1498065

  [ Upstream Kernel Changes ]

  * net: Fix skb_set_peeked use-after-free bug
    - LP: #1497184

linux (3.19.0-29.31) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1493902

  [ Ander Conselvan de Oliveira ]

  * SAUCE: i915_bpo: Set ddi_pll_sel in DP MST path
    - LP: #1483320

  [ Chris J Arges ]

  * [Config] DEFAULT_IOSCHED="deadline" for ppc64el
    - LP: #1469829

  [ Chris Wilson ]

  * SAUCE: i915_bpo: drm/i915: Flag the execlists context object as dirty
    after every use
    - LP: #1489501

  [ Daniel Vetter ]

  * SAUCE: i915_bpo: drm/i915: Only dither on 6bpc panels
    - LP: #1489501

  [ David Henningsson ]

  * SAUCE: drm/i915: Add audio pin sense / ELD callback
    - LP: #1490895
  * SAUCE: drm/i915: Call audio pin/ELD notify function
    - LP: #1490895
  * SAUCE: ubuntu/i915: Call audio pin/ELD notify function
    - LP: #1490895
  * SAUCE: ALSA: hda - Add "hdac_acomp" global variable
    - LP: #1490895
  * SAUCE: ALSA: hda - allow codecs to access the i915 pin/ELD callback
    - LP: #1490895
  * SAUCE: ALSA: hda - Wake the codec up on pin/ELD notify events
    - LP: #1490895

  [ Jani Nikula ]

  * SAUCE: i915_bpo: Revert "drm/i915: Allow parsing of variable size child
    device entries from VBT"
    - LP: #1489501

  [ Maarten Lankhorst ]

  * SAUCE: i915_bpo: drm/i915: calculate primary visibility changes instead
    of calling from set_config
    - LP: #1489501
  * SAUCE: i915_bpo: drm/i915: Commit planes on each crtc separately.
    - LP: #1489501

  [ Thulasimani,Sivakumar ]

  * SAUCE: i915_bpo: Revert "drm/i915: Add eDP intermediate frequencies for
    CHV"
    - LP: #1489501
  * SAUCE: i915_bpo: drm/i915: remove HBR2 from chv supported list
    - LP: #1489501
  * SAUCE: i915_bpo: drm/i915: Avoid TP3 on CHV
    - LP: #1489501

  [ Timo Aaltonen ]

  * Revert "SAUCE: i915_bpo: drm/i915: Allow parsing of variable size child
    device entries from VBT, addendum v2"
    - LP: #1489501
  * SAUCE: Migrate Broadwell to i915_bpo.
    - LP: #1483320

  [ Upstream Kernel Changes ]

  * tcp: fix recv with flags MSG_WAITALL | MSG_PEEK
    - LP: #1486146
  * powerpc/powernv: Fix the overflow of OPAL message notifiers head array
    - LP: #1487085
  * xhci: call BIOS workaround to enable runtime suspend on Intel Braswell
    - LP: #1489292
  * PM / QoS: Make it possible to expose device latency tolerance to
    userspace
    - LP: #1488395
  * ACPI / PM: Attach ACPI power domain only once
    - LP: #1488395
  * Driver core: wakeup the parent device before trying probe
    - LP: #1488395
  * klist: implement klist_prev()
    - LP: #1488395
  * driver core: implement device_for_each_child_reverse()
    - LP: #1488395
  * mfd: make mfd_remove_devices() iterate in reverse order
    ...

Changed in linux (Ubuntu Vivid):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Steve Langasek (vorlon) on 2015-10-16
Changed in linux:
assignee: Adam Conrad (adconrad) → nobody
no longer affects: linux
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers